      SUBROUTINE beam_smear(X,Y,DIST)

c
c adapted from Felix Kuemmell to test the Compton generator
c
	
	IMPLICIT NONE
 		
	REAL ALPHA_X, ALPHA_Y, BETA_X, BETA_Y, ETA_X, ETA_Y
	REAL HORIZ, VERT, X, Y
	REAL G1, G2, W, DIST
	REAL RG32, ran2, rounds,steps
	
        ALPHA_X=0.622				!BEAM PARAMETERS
        ALPHA_Y=-1.51				!IN CM
        BETA_X=850
        BETA_Y=2490
        ETA_X=3.4E-6
        ETA_Y=0.065*ETA_X
cwl        DIST=5400                 !DISTANCE TO DET(CM)
	  W=1.

	
        HORIZ=SQRT(ETA_X*(BETA_X+DIST*(DIST*(1+ALPHA_X**2)
     1    /BETA_X - 2*ALPHA_X)))
        VERT=SQRT(ETA_Y*(BETA_Y+DIST*(DIST*(1+ALPHA_Y**2)
     1    /BETA_Y - 2*ALPHA_Y)))

	  G1=RG32(W)               !gaussian radom generator
        X=HORIZ*G1
  	  G2=RG32(W)               !gaussian radom generator
        Y=VERT*G2

	return
	END
